



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>在HTML5中怎样实现Canvas阴影效果</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">在HTML5中怎样实现Canvas阴影效果</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-25 21:28:30 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>该文章是由<a href="http://www.elsyy.com/?chenli" rel="external nofollow noreferrer">e良师益友</a>技术部小陈原创作品，转载是请注明来源，谢谢！</p>
<p>今天我给大家介绍一下在HTML5中怎样实现Canvas阴影效果，我们知道现在HTML5的Canvas阴影也经常使用的，这个就是HTML5 Canvas阴影使用方法，在这里主要和大家分HTML5 Canvas阴影使用方法代码，可以适当的改变来达到自己想要的结果，下面就一起来看看详细的代码吧！</p>
<p><img referrerpolicy="no-referrer"src="http://183.61.143.148/group1/M00/00/FC/tz2PlFMXvzWRh3l6AAApmpt5WBs758.jpg" /></p>
<p>下面是代码如下：</p>
<div>
<pre class="prettyprint linenums">&lt;!DOCTYPE html&gt;<br />
&lt;html&gt;<br />
&lt;head&gt;<br />
&lt;meta http-equiv="X-UA-Compatible" content="chrome=IE8"&gt;<br />
&lt;meta http-equiv="Content-type" content="text/html;charset=UTF-8"&gt;<br />
&lt;title&gt;Canvas Clip Demo&lt;/title&gt;<br />
&lt;link href="default.css" rel="stylesheet" /&gt;<br />
    &lt;script&gt;<br />
        var ctx = null; // global variable 2d context<br />
        var imageTexture = null;<br />
        window.onload = function() {<br />
            var canvas = document.getElementById("text_canvas");<br />
            console.log(canvas.parentNode.clientWidth);<br />
            canvas.width = canvas.parentNode.clientWidth;<br />
            canvas.height = canvas.parentNode.clientHeight;

            if (!canvas.getContext) {<br />
                console.log("Canvas not supported. Please install a HTML5 compatible browser.");<br />
                return;<br />
            }<br />
            var context = canvas.getContext('2d');

            // section one - shadow and blur<br />
            context.fillStyle="black";<br />
            context.fillRect(0, 0, canvas.width, canvas.height/4);<br />
            context.font = '60pt Calibri';

            context.shadowColor = "white";<br />
            context.shadowOffsetX = 0;<br />
            context.shadowOffsetY = 0;<br />
            context.shadowBlur = 20;<br />
            context.fillText("Blur Canvas", 40, 80);<br />
            context.strokeStyle = "RGBA(0, 255, 0, 1)";<br />
            context.lineWidth = 2;<br />
            context.strokeText("Blur Canvas", 40, 80);

            // section two - shadow font<br />
            var hh = canvas.height/4;<br />
            context.fillStyle="white";<br />
            context.fillRect(0, hh, canvas.width, canvas.height/4);<br />
            context.font = '60pt Calibri';

            context.shadowColor = "RGBA(127,127,127,1)";<br />
            context.shadowOffsetX = 3;<br />
            context.shadowOffsetY = 3;<br />
            context.shadowBlur = 0;<br />
            context.fillStyle = "RGBA(0, 0, 0, 0.8)";<br />
            context.fillText("Blur Canvas", 40, 80+hh);

            // section three - down shadow effect<br />
            var hh = canvas.height/4 + hh;<br />
            context.fillStyle="black";<br />
            context.fillRect(0, hh, canvas.width, canvas.height/4);<br />
            for(var i = 0; i &lt; 10; i++)<br />
            {<br />
                context.shadowColor = "RGBA(255, 255, 255," + ((10-i)/10) + ")";<br />
                context.shadowOffsetX = i*2;<br />
                context.shadowOffsetY = i*2;<br />
                context.shadowBlur = i*2;<br />
                context.fillStyle = "RGBA(127, 127, 127, 1)";<br />
                context.fillText("Blur Canvas", 40, 80+hh);<br />
            }

            // section four -  fade effect<br />
            var hh = canvas.height/4 + hh;<br />
            context.fillStyle="green";<br />
            context.fillRect(0, hh, canvas.width, canvas.height/4);<br />
            for(var i = 0; i &lt; 10; i++)<br />
            {<br />
                context.shadowColor = "RGBA(255, 255, 255," + ((10-i)/10) + ")";<br />
                context.shadowOffsetX = 0;<br />
                context.shadowOffsetY = -i*2;<br />
                context.shadowBlur = i*2;<br />
                context.fillStyle = "RGBA(127, 127, 127, 1)";<br />
                context.fillText("Blur Canvas", 40, 80+hh);<br />
            }<br />
            for(var i = 0; i &lt; 10; i++)<br />
            {<br />
                context.shadowColor = "RGBA(255, 255, 255," + ((10-i)/10) + ")";<br />
                context.shadowOffsetX = 0;<br />
                context.shadowOffsetY = i*2;<br />
                context.shadowBlur = i*2;<br />
                context.fillStyle = "RGBA(127, 127, 127, 1)";<br />
                context.fillText("Blur Canvas", 40, 80+hh);<br />
            }<br />
            for(var i = 0; i &lt; 10; i++)<br />
            {<br />
                context.shadowColor = "RGBA(255, 255, 255," + ((10-i)/10) + ")";<br />
                context.shadowOffsetX = i*2;<br />
                context.shadowOffsetY = 0;<br />
                context.shadowBlur = i*2;<br />
                context.fillStyle = "RGBA(127, 127, 127, 1)";<br />
                context.fillText("Blur Canvas", 40, 80+hh);<br />
            }<br />
            for(var i = 0; i &lt; 10; i++)<br />
            {<br />
                context.shadowColor = "RGBA(255, 255, 255," + ((10-i)/10) + ")";<br />
                context.shadowOffsetX = -i*2;<br />
                context.shadowOffsetY = 0;<br />
                context.shadowBlur = i*2;<br />
                context.fillStyle = "RGBA(127, 127, 127, 1)";<br />
                context.fillText("Blur Canvas", 40, 80+hh);<br />
            }<br />
        }

    &lt;/script&gt;<br />
&lt;/head&gt;<br />
&lt;body&gt;<br />
    &lt;h1&gt;HTML5 Canvas&lt;/h1&gt;<br />
    &lt;pre&gt;Fill And Stroke Clip&lt;/pre&gt;<br />
    &lt;div id="my_painter"&gt;<br />
        &lt;canvas id="text_canvas"&gt;&lt;/canvas&gt;<br />
    &lt;/div&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq4yyx0q.html">Quartz2D内存管理</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyg7o2q.html">POJ1236 network of schools</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okk1719.html">Java I&sol;O 对象序列化</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn25pd8.html">Knockout&period;Js官网学习（text绑定）</a>
		</li>
						<li><a href="https://www.batexi.com/a/96overy9.html">关系型数据库遵循ACID规则</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x5np08.html">JAVA并发，同步锁性能测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpwmp0q.html">multimap 和 multiset 类型</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjlzyr8.html">ring3 hook ZwWriteVirtualMemory</a>
		</li>
						<li><a href="https://www.batexi.com/a/950p3om8.html">ZOJ 649 Rescue&lpar;优先队列&plus;bfs&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljvn009.html">學習 DT device tree 以 ST 的開發板  STM32F429i-disc1 為例</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzlp1w8.html">0001&period;如何在Windows7&lpar;x64&rpar;上安装 Sharepoint2010 Fundation</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rdlz39.html">洛谷 P1538 迎春舞会之数字舞蹈</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e45v3m9.html">如何在 JS 中嵌入大量 HTML 代码 --更新2017-10-10 16&colon;37&colon;09</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rwvo48.html">CSS 表单</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwn1vx9.html">Angular之特性模块 &lpar; Feature Module &rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/953pxv08.html">Eclipse------使用Maven install出错：编码GBK的不可映射字符</a>
		</li>
						<li><a href="https://www.batexi.com/a/qx2l1re8.html">【Python爬虫】如何确定自己浏览器的User-Agent信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rn65zmq.html">JavaMelody - 常用配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/93pkep08.html">数据库实例&colon; STOREBOOK  &amp;gt&semi;  表空间  &amp;gt&semi;  编辑 表空间&colon; SYSAUX</a>
		</li>
						<li><a href="https://www.batexi.com/a/902x1zjq.html">sqlplus 方式连接 远程数据库</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8k12yyr9.html">linux编程基础</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2w3rxlq.html">dup和dup2函数</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j0lymlq.html">实例源码--Android理财工具源码</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvkgjxq.html">TortoiseGit安装教程</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvjveoq.html">&lbrack;转载&rsqb;BigPipe技术</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rd6d648.html">Java设计模式11：常用设计模式之代理模式（结构型模式）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rd6gyd8.html">iOS xcode6添加预编译文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4y7pyjq.html">Java操作字符串的工具类</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rd6ygr8.html">WebStorm 8&period;0安装LESS编译环境的教程</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmz4509.html">C&num;中参数传递【转】</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
